# Ethereum Mainnet Deployed Contracts - Complete List

**Date**: 2025-12-11
**Status**: Active Deployments

---

## 📋 Deployed Contracts Summary

**Total Deployed**: 2 contracts
**Total Pre-deployed (Canonical)**: 2 contracts
**Total Pending**: 1 contract

---

## ✅ Deployed Contracts (New Deployments)

### 1. CCIPWETH9Bridge

| Property | Value |
|----------|-------|
| **Address** | `0x3304b747E565a97ec8AC220b0B6A1f6ffDB837e6` |
| **Status** | ✅ Deployed |
| **Verified** | ✅ Verified |
| **Contract File** | `contracts/ccip/CCIPWETH9Bridge.sol` |
| **Deployment Method** | Foundry (`forge script`) |
| **Deployment Date** | Previously deployed |
| **Etherscan** | [View on Etherscan](https://etherscan.io/address/0x3304b747E565a97ec8AC220b0B6A1f6ffDB837e6) |
| **Constructor Args** | Router: `0x80226fc0Ee2b096224EeAc085Bb9a8cba1146f7D`<br>WETH9: `0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2`<br>LINK: `0x514910771AF9Ca656af840dff83E8264EcF986CA` |

**Purpose**: Cross-chain bridge for WETH9 tokens using Chainlink CCIP

---

### 2. CCIPWETH10Bridge

| Property | Value |
|----------|-------|
| **Address** | `0x04E1e22B0D41e99f4275bd40A50480219bc9A223` |
| **Status** | ✅ Deployed |
| **Verified** | ✅ Verified |
| **Contract File** | `contracts/ccip/CCIPWETH10Bridge.sol` |
| **Deployment Method** | Foundry (`forge script`) |
| **Deployment Date** | Previously deployed |
| **Etherscan** | [View on Etherscan](https://etherscan.io/address/0x04E1e22B0D41e99f4275bd40A50480219bc9A223) |
| **Constructor Args** | Router: `0x80226fc0Ee2b096224EeAc085Bb9a8cba1146f7D`<br>WETH10: `0xf4BB2e28688e89fCcE3c0580D37d36A7672E8A9f`<br>LINK: `0x514910771AF9Ca656af840dff83E8264EcF986CA` |

**Purpose**: Cross-chain bridge for WETH10 tokens using Chainlink CCIP

---

## 📦 Pre-deployed Contracts (Canonical Mainnet)

These contracts exist on Mainnet at their canonical addresses and were not deployed by this project.

### 3. WETH9

| Property | Value |
|----------|-------|
| **Address** | `0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2` |
| **Status** | ✅ Pre-deployed (Canonical) |
| **Type** | Standard WETH9 implementation |
| **Etherscan** | [View on Etherscan](https://etherscan.io/address/0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2) |
| **Note** | Used by CCIPWETH9Bridge |

---

### 4. WETH10

| Property | Value |
|----------|-------|
| **Address** | `0xf4BB2e28688e89fCcE3c0580D37d36A7672E8A9f` |
| **Status** | ✅ Pre-deployed (Canonical) |
| **Type** | Enhanced WETH10 with flash loans |
| **Etherscan** | [View on Etherscan](https://etherscan.io/address/0xf4BB2e28688e89fCcE3c0580D37d36A7672E8A9f) |
| **Note** | Used by CCIPWETH10Bridge |

---

## ⏳ Pending Deployments

### 5. CCIPLogger

| Property | Value |
|----------|-------|
| **Status** | ⏳ Pending |
| **Contract File** | `contracts/ccip-integration/CCIPLogger.sol` |
| **Deployment Method** | Hardhat (requires OpenZeppelin) |
| **Deployment Command** | `npm run deploy:logger:mainnet` |
| **Dependencies** | CCIP Router: `0x80226fc0Ee2b096224EeAc085Bb9a8cba1146f7D` |
| **Note** | Uses Hardhat/OpenZeppelin dependencies, not Foundry |

**Purpose**: Receives and logs Chain-138 transactions via Chainlink CCIP

---

## 🔗 Related Infrastructure

### CCIP Router (Chainlink Official)

| Property | Value |
|----------|-------|
| **Address** | `0x80226fc0Ee2b096224EeAc085Bb9a8cba1146f7D` |
| **Type** | Chainlink CCIP Router |
| **Status** | ✅ Official Chainlink deployment |
| **Etherscan** | [View on Etherscan](https://etherscan.io/address/0x80226fc0Ee2b096224EeAc085Bb9a8cba1146f7D) |
| **Used By** | CCIPWETH9Bridge, CCIPWETH10Bridge, CCIPLogger |

---

### LINK Token (Chainlink Official)

| Property | Value |
|----------|-------|
| **Address** | `0x514910771AF9Ca656af840dff83E8264EcF986CA` |
| **Type** | ERC20 Token (LINK) |
| **Status** | ✅ Official Chainlink deployment |
| **Etherscan** | [View on Etherscan](https://etherscan.io/address/0x514910771AF9Ca656af840dff83E8264EcF986CA) |
| **Used By** | CCIPWETH9Bridge, CCIPWETH10Bridge (for CCIP fees) |

---

## 📊 Contract Relationships

```
Ethereum Mainnet
├── CCIP Router (0x80226fc0...)
│   └── Used by all CCIP contracts
├── LINK Token (0x51491077...)
│   └── Used for CCIP fees
├── WETH9 (0xC02aaA39...)
│   └── Used by CCIPWETH9Bridge
├── WETH10 (0xf4BB2e28...)
│   └── Used by CCIPWETH10Bridge
├── CCIPWETH9Bridge (0x3304b747...)
│   ├── Uses: CCIP Router, WETH9, LINK
│   └── Purpose: Cross-chain WETH9 transfers
├── CCIPWETH10Bridge (0x8078A096...)
│   ├── Uses: CCIP Router, WETH10, LINK
│   └── Purpose: Cross-chain WETH10 transfers
└── CCIPLogger (Pending)
    ├── Uses: CCIP Router
    └── Purpose: Log Chain-138 transactions
```

---

## ✅ Verification Status

| Contract | Address | Verified | Action Needed |
|----------|---------|----------|---------------|
| CCIPWETH9Bridge | `0x3304b747E565a97ec8AC220b0B6A1f6ffDB837e6` | ✅ | ✅ Complete |
| CCIPWETH10Bridge | `0x04E1e22B0D41e99f4275bd40A50480219bc9A223` | ✅ | ✅ Complete |
| WETH9 | `0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2` | ✅ | Already verified (canonical) |
| WETH10 | `0xf4BB2e28688e89fCcE3c0580D37d36A7672E8A9f` | ✅ | Already verified (canonical) |

---

## 🔧 Verification Commands

### Verify CCIPWETH9Bridge

```bash
CONSTRUCTOR_ARGS=$(cast abi-encode "constructor(address,address,address)" \
  0x80226fc0Ee2b096224EeAc085Bb9a8cba1146f7D \
  0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2 \
  0x514910771AF9Ca656af840dff83E8264EcF986CA)

forge verify-contract \
  --chain-id 1 \
  --num-of-optimizations 200 \
  --watch \
  --constructor-args "$CONSTRUCTOR_ARGS" \
  0x3304b747E565a97ec8AC220b0B6A1f6ffDB837e6 \
  contracts/ccip/CCIPWETH9Bridge.sol:CCIPWETH9Bridge \
  $ETHERSCAN_API_KEY
```

### Verify CCIPWETH10Bridge

```bash
CONSTRUCTOR_ARGS=$(cast abi-encode "constructor(address,address,address)" \
  0x80226fc0Ee2b096224EeAc085Bb9a8cba1146f7D \
  0xf4BB2e28688e89fCcE3c0580D37d36A7672E8A9f \
  0x514910771AF9Ca656af840dff83E8264EcF986CA)

forge verify-contract \
  --chain-id 1 \
  --num-of-optimizations 200 \
  --watch \
  --constructor-args "$CONSTRUCTOR_ARGS" \
  0x04E1e22B0D41e99f4275bd40A50480219bc9A223 \
  contracts/ccip/CCIPWETH10Bridge.sol:CCIPWETH10Bridge \
  $ETHERSCAN_API_KEY
```

---

## 📝 Environment Variables

Add these to `.env`:

```bash
# Mainnet Contract Addresses
CCIPWETH9BRIDGE_MAINNET=0x3304b747E565a97ec8AC220b0B6A1f6ffDB837e6
CCIPWETH10BRIDGE_MAINNET=0x04E1e22B0D41e99f4275bd40A50480219bc9A223

# Pre-deployed (canonical)
WETH9_MAINNET=0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2
WETH10_MAINNET=0xf4BB2e28688e89fCcE3c0580D37d36A7672E8A9f

# CCIP Infrastructure
CCIP_MAINNET_ROUTER=0x80226fc0Ee2b096224EeAc085Bb9a8cba1146f7D
CCIP_MAINNET_LINK_TOKEN=0x514910771AF9Ca656af840dff83E8264EcF986CA
```

---

## 🔗 Quick Links

- **CCIPWETH9Bridge**: https://etherscan.io/address/0x3304b747E565a97ec8AC220b0B6A1f6ffDB837e6
- **CCIPWETH10Bridge**: https://etherscan.io/address/0x04E1e22B0D41e99f4275bd40A50480219bc9A223
- **WETH9**: https://etherscan.io/address/0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2
- **WETH10**: https://etherscan.io/address/0xf4BB2e28688e89fCcE3c0580D37d36A7672E8A9f
- **CCIP Router**: https://etherscan.io/address/0x80226fc0Ee2b096224EeAc085Bb9a8cba1146f7D
- **LINK Token**: https://etherscan.io/address/0x514910771AF9Ca656af840dff83E8264EcF986CA
- **Verify Contracts**: https://etherscan.io/myverify_address

---

**Last Updated**: 2025-12-11
